food = {}
food.w = 8
food.h = 8

--
function food.load()
	local x = math.random(0,love.graphics.getWidth() - food.w)
	local y = math.random(0,love.graphics.getHeight() - food.h)
	food.spawn(x, y)
end
function food.spawn(x, y)
	table.insert(food, {x = x, y = y})
end
function food.draw()
	love.graphics.setColor(89,129,184)
	for i,v in ipairs(food) do
		love.graphics.rectangle("fill", v.x, v.y, food.w, food.h)
	end
end

local respawnX = 100

function food.collision()
	for i,v in ipairs(food) do
		if v.x < player.x + player.w and
			v.x + food.w > player.x and 
			v.y < player.y + player.h and 
			v.y + food.h > player.y then
				table.remove(food, i)
				food.spawn(math.random(0,love.graphics.getWidth() - food.w),
					math.random(0,love.graphics.getHeight() - respawnX))
		end
	end
end
function food.physics(dt)
	for i,v in ipairs(food) do
		local min = 75
		local max = 500
		local rand = math.random(1, 5)
		if rand == 1 then
			v.y = v.y + max * dt
		else
			v.y = v.y + min * dt
		end

		if v.y + food.h > love.graphics.getHeight() then
			table.remove(food, i)
			food.spawn(math.random(0,love.graphics.getWidth() - food.w),
				math.random(0,love.graphics.getHeight() - respawnX))
		end
	end
end

-- PARENT FUNCTIONS

function food.UPDATE(dt)
	food.collision()
	food.physics(dt)
end
function food.DRAW()
	food.draw()
end